Subject: Re: bug#18600: 24.3.94; EWW fails to check https certificates

From: Ted Zlatanov <[email-masked]>
Date: Sat, 04 Oct 2014 17:34:39 -0400

On Fri, 03 Oct 2014 19:01:42 -0400 Glenn Morris <[email-masked]> wrote: 

GM> Mark H Weaver wrote:
>> I used EWW to visit an https website that uses a self-signed and
>> long-expired https certificate.  It failed to notify me of any problem.

GM> Setting gnutls-verify-error non-nil may help (I don't know what it does
GM> with self-signed certificates).

Emacs will reject such certificates then. I tested that as part of
http://debbugs.gnu.org/16978 and would appreciate Mark's verification.

After 24.4 (now 25.1) is released it will be t by default.  Mark, can we
close this bug since http://debbugs.gnu.org/16978 already has all the info?

Thanks
Ted